AviatoAviato
DeveloperAPI ReferenceProfilesIdPinRemove

/api/profiles/{id}/pin/remove

POST
/api/profiles/{id}/pin/remove

Path Parameters

id*string

Resource ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/profiles/string/pin/remove" \  -H "Content-Type: application/json" \  -d '{    "pin": "string"  }'
{
  "success": true,
  "profile": {
    "id": "string",
    "userId": "string",
    "name": "string",
    "avatarUrl": "string",
    "libraryAccess": [
      {
        "libraryId": "string",
        "maxRating": "string"
      }
    ],
    "isDefault": true,
    "hasPin": true,
    "createdAt": "string",
    "updatedAt": "string"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}